# Generated by Django 4.0.1 on 2022-01-31 17:52

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Vehicle",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("make", models.CharField(max_length=30)),
                ("model", models.CharField(max_length=30)),
                (
                    "plate_number",
                    models.CharField(
                        help_text="Use the following format: 'AA1111BP'", max_length=8, unique=True
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
            options={
                "verbose_name": "Vehicle",
                "verbose_name_plural": "Vehicles",
            },
        ),
    ]
